EDIT - bug #9533

NPE when reusing name for new taxon
03/17/2021 08:00 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal Found in Version:

Description

Using an existing name for a new taxon results in a NPE because of a missing text in textfield for the name.

Related issues:
Related to EDIT - bug #9393: NPE when removing parent from TaxonNode editor In Progress

Associated revisions

Revision 46bdf341 - 03/17/2021 08:02 AM - Katja Luther

ref #9533: fix NPE in taxonnode detail element

Revision b3e9aa8e - 03/17/2021 12:43 PM - Katja Luther

ref #9533: fix NPE in taxonnode detail element

Revision 38b333bc - 03/18/2021 03:01 PM - Katja Luther

ref #9533: fix NPE and remove text when removing name in NewTaxonWizard

History

#1 - 03/17/2021 09:18 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

This is fixed, but should be released with an hotifx release.
Please review.

#2 - 03/17/2021 01:18 PM - Andreas Miiller
- Related to bug #9393: NPE when removing parent from TaxonNode editor added

#3 - 03/17/2021 01:32 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 30

When deleting the selected name again | now get another NPE:

last remote method : http://api.cybertaxonomy.org:80/flora-cuba/remoting/name.service
last remote request client time : 2021-03-17T13:30:32.575
last remote request response header time : Wed, 17 Mar 2021 13:30:32 GMT
client error time : 2021-03-17T13:30:41.612
login : admin
editor version : 5.21.1
server : api.cybertaxonomy.org (cybertaxonomy.org) / flora-cuba
schema version : 5.18.6.0.20201124
os : Windows Server 2012 R2 6.3 amd64
Java : 1.8.0_131
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.ui.section.classification.TaxonNodeDetailElement.setTaxon (TaxonNodeDetailElement
.Java:513)
at eu.etaxonomy.taxeditor.ui.section.classification.TaxonNodeDetailElement.handleEvent (TaxonNodeDetailElem
ent.java:367)
at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.propertyChange (AbstractCdmDetailElement. java

:203)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCdmFormElement
.java:230)
at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElementS$DeleteListener.widgetSelected (EntitySelectio

nElement. java:385)
swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)
swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display.java:3824)
jface.window.Window.runEventLoop (Window. java:818)
jface.window.Window.open (Window. java:794)

eu.etaxonomy.taxeditor.navigation.navigator.e4d4.handler.NewTaxonNodeHandlerE4.execute (NewTaxonNodeHandle
rE4.java:58)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
e4.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
e4.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:132)
ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)
ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)
e4.uil.workbench.renderers.swt.HandledContributionItem.executeItem (HandledContributionItem. j

ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

java:454)

ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt

swt.widgets.EventTable.sendEvent (EventTable. java:84)

swt.widgets.Display.sendEvent (Display.java:4418)

swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display.java:3824)
e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
uil.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application.java:20)

org

org.

org.
org.

org

sun.
sun.
sun.

.eclipse.
eclipse.

eclipse.
eclipse.
.eclipse.
reflect
reflect.
reflect

equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

.NativeMethodAccessorImpl.invokeO (Native Method)

NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main. java:1519)

#4 - 03/17/2021 01:35 PM - Andreas Miuller

Andreas Muller wrote:

When deleting the selected name again | now get another NPE:

Also the free text name is not removed and not enabled again. But this might be due the preceding error. But please check that this works after
having fixed the NPE.

#5 - 03/29/2021 10:53 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
Andreas Muller wrote:
Andreas Miller wrote:

When deleting the selected name again | now get another NPE:

Also the free text name is not removed and not enabled again. But this might be due the preceding error. But please check that this works after
having fixed the NPE.

this is fixed now. Please review.

#6 - 03/30/2021 01:40 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 30 to 100

This seems to work now
